import java.awt.Rectangle;
import java.awt.event.KeyEvent;


public class PnjTalisman extends Pnj {
	
	public PnjTalisman( float x, float y, int largeur, int hauteur,Fenetre fj,String texte, int n){
		super(x,y,largeur,hauteur,fj,texte,n);
		
	}
	public void tick(){
		xMove = 0;
		yMove = 0;
		vie+=10000;
		//creation du rectangle d'aggression autour du monstre
		Rectangle ra = new Rectangle((int)x - 800+largeur ,(int)y- 800+largeur,1000,1000);
		//creation du rectangle du joueur en fonction de sa position
		Rectangle rj = new Rectangle ((int)(Fenetre.j1.x), (int)(Fenetre.j1.y ),Fenetre.j1.largeur , Fenetre.j1.hauteur);
		
		deplacement  = System.currentTimeMillis() - dernierDeplacement;
		if(deplacement > cooldown){
			dernierDeplacement = System.currentTimeMillis(); 
			deplacement();
			animationTick();
			move();
							
		}
		
		// Donne une pierre talisman quand on lui parle
		if(ra.intersects(rj) && fenetre_JEU.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_ENTER) && !speack){
			speack=true;
			Audio.playSound("ouvreDialogue.wav");
			System.out.println(Fenetre.j1.ressources_joueur[8].nombre);
			if(Fenetre.j1.ressources_joueur[8].nombre == 0){
				Fenetre.j1.ressources_joueur[8].nombre++;
			}
		}	
		else if(!ra.intersects(rj) || (fenetre_JEU.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_ENTER)&& speack)){
			speack=false;
			
		}	
	}
}

